diff --git a/src/providers/ipa/ipa_access.c b/src/providers/ipa/ipa_access.c
index 7d44788..4f5bc8d 100644
--- a/src/providers/ipa/ipa_access.c
+++ b/src/providers/ipa/ipa_access.c
@@ -143,7 +143,7 @@ static void ipa_hbac_check(struct tevent_req *req)
 
     hbac_ctx = talloc_zero(be_req, struct hbac_ctx);
     if (hbac_ctx == NULL) {
-        DEBUG(1, ("talloc failed.\n"));
+        DEBUG(1, "talloc failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -158,7 +158,7 @@ static void ipa_hbac_check(struct tevent_req *req)
     hbac_ctx->tr_ctx = ipa_access_ctx->tr_ctx;
     hbac_ctx->search_bases = ipa_access_ctx->hbac_search_bases;
     if (hbac_ctx->search_bases == NULL) {
-        DEBUG(1, ("No HBAC search base found.\n"));
+        DEBUG(1, "No HBAC search base found.\n");
         ret = EINVAL;
         goto fail;
     }
@@ -197,7 +197,7 @@ static int hbac_retry(struct hbac_ctx *hbac_ctx)
     struct be_ctx *be_ctx = be_req_get_be_ctx(hbac_ctx->be_req);
 
     offline = be_is_offline(be_ctx);
-    DEBUG(9, ("Connection status is [%s].\n", offline ? "offline" : "online"));
+    DEBUG(9, "Connection status is [%s].\n", offline ? "offline" : "online");
 
     refresh_interval = dp_opt_get_int(hbac_ctx->ipa_options,
                                       IPA_HBAC_REFRESH);
@@ -205,7 +205,7 @@ static int hbac_retry(struct hbac_ctx *hbac_ctx)
     now = time(NULL);
     if (now < access_ctx->last_update + refresh_interval) {
         /* Simulate offline mode and just go to the cache */
-        DEBUG(6, ("Performing cached HBAC evaluation\n"));
+        DEBUG(6, "Performing cached HBAC evaluation\n");
         offline = true;
     }
 
@@ -214,14 +214,14 @@ static int hbac_retry(struct hbac_ctx *hbac_ctx)
             hbac_ctx->sdap_op = sdap_id_op_create(hbac_ctx,
                                           hbac_ctx->sdap_ctx->conn->conn_cache);
             if (hbac_ctx->sdap_op == NULL) {
-                DEBUG(1, ("sdap_id_op_create failed.\n"));
+                DEBUG(1, "sdap_id_op_create failed.\n");
                 return EIO;
             }
         }
 
         subreq = sdap_id_op_connect_send(hbac_ctx->sdap_op, hbac_ctx, &ret);
         if (!subreq) {
-            DEBUG(1, ("sdap_id_op_connect_send failed: %d(%s).\n", ret, strerror(ret)));
+            DEBUG(1, "sdap_id_op_connect_send failed: %d(%s).\n", ret, strerror(ret));
             talloc_zfree(hbac_ctx->sdap_op);
             return ret;
         }
@@ -348,8 +348,8 @@ static int hbac_get_host_info_step(struct hbac_ctx *hbac_ctx)
         hostname = NULL;
 
         /* THIS FEATURE IS DEPRECATED */
-        DEBUG(SSSDBG_MINOR_FAILURE, ("WARNING: Using deprecated option "
-                    "ipa_hbac_support_srchost.\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "WARNING: Using deprecated option "
+                    "ipa_hbac_support_srchost.\n");
         sss_log(SSS_LOG_NOTICE, "WARNING: Using deprecated option "
                     "ipa_hbac_support_srchost.\n");
     } else {
@@ -364,7 +364,7 @@ static int hbac_get_host_info_step(struct hbac_ctx *hbac_ctx)
                              hbac_ctx->access_ctx->hostgroup_map,
                              hbac_ctx->access_ctx->host_search_bases);
     if (req == NULL) {
-        DEBUG(1, ("Could not get host info\n"));
+        DEBUG(1, "Could not get host info\n");
         return ENOMEM;
     }
     tevent_req_set_callback(req, hbac_get_service_info_step, hbac_ctx);
@@ -395,7 +395,7 @@ static void hbac_get_service_info_step(struct tevent_req *req)
                                      hbac_ctx->sdap_ctx->opts,
                                     hbac_ctx->search_bases);
     if (req == NULL) {
-        DEBUG(1,("Could not get service info\n"));
+        DEBUG(1,"Could not get service info\n");
         goto fail;
     }
     tevent_req_set_callback(req, hbac_get_rule_info_step, hbac_ctx);
@@ -429,7 +429,7 @@ static void hbac_get_rule_info_step(struct tevent_req *req)
     hbac_ctx->ipa_host = NULL;
     ipa_hostname = dp_opt_get_cstring(hbac_ctx->ipa_options, IPA_HOSTNAME);
     if (ipa_hostname == NULL) {
-        DEBUG(1, ("Missing ipa_hostname, this should never happen.\n"));
+        DEBUG(1, "Missing ipa_hostname, this should never happen.\n");
         goto fail;
     }
 
@@ -438,7 +438,7 @@ static void hbac_get_rule_info_step(struct tevent_req *req)
                                      SYSDB_FQDN,
                                      &hostname);
         if (ret != EOK) {
-            DEBUG(1, ("Could not locate IPA host\n"));
+            DEBUG(1, "Could not locate IPA host\n");
             goto fail;
         }
 
@@ -448,7 +448,7 @@ static void hbac_get_rule_info_step(struct tevent_req *req)
         }
     }
     if (hbac_ctx->ipa_host == NULL) {
-        DEBUG(1, ("Could not locate IPA host\n"));
+        DEBUG(1, "Could not locate IPA host\n");
         goto fail;
     }
 
@@ -462,7 +462,7 @@ static void hbac_get_rule_info_step(struct tevent_req *req)
                                   hbac_ctx->search_bases,
                                   hbac_ctx->ipa_host);
     if (req == NULL) {
-        DEBUG(1, ("Could not get rules\n"));
+        DEBUG(1, "Could not get rules\n");
         goto fail;
     }
 
@@ -515,7 +515,7 @@ static void hbac_sysdb_save(struct tevent_req *req)
         ret = sysdb_delete_recursive(domain->sysdb, base_dn, true);
         talloc_free(tmp_ctx);
         if (ret != EOK) {
-            DEBUG(1, ("sysdb_delete_recursive failed.\n"));
+            DEBUG(1, "sysdb_delete_recursive failed.\n");
             ipa_access_reply(hbac_ctx, PAM_SYSTEM_ERR);
             return;
         }
@@ -531,7 +531,7 @@ static void hbac_sysdb_save(struct tevent_req *req)
 
     ret = sysdb_transaction_start(domain->sysdb);
     if (ret != EOK) {
-        DEBUG(0, ("Could not start transaction\n"));
+        DEBUG(0, "Could not start transaction\n");
         goto fail;
     }
     in_transaction = true;
@@ -544,8 +544,8 @@ static void hbac_sysdb_save(struct tevent_req *req)
                               hbac_ctx->hostgroup_count,
                               hbac_ctx->hostgroups);
     if (ret != EOK) {
-        DEBUG(1, ("Error saving hosts: [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "Error saving hosts: [%d][%s]\n",
+                  ret, strerror(ret));
         goto fail;
     }
 
@@ -557,8 +557,8 @@ static void hbac_sysdb_save(struct tevent_req *req)
                               hbac_ctx->servicegroup_count,
                               hbac_ctx->servicegroups);
     if (ret != EOK) {
-        DEBUG(1, ("Error saving services:  [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "Error saving services:  [%d][%s]\n",
+                  ret, strerror(ret));
         goto fail;
     }
     /* Save the rules */
@@ -568,14 +568,14 @@ static void hbac_sysdb_save(struct tevent_req *req)
                               hbac_ctx->rules,
                               NULL, NULL, 0, NULL);
     if (ret != EOK) {
-        DEBUG(1, ("Error saving rules:  [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "Error saving rules:  [%d][%s]\n",
+                  ret, strerror(ret));
         goto fail;
     }
 
     ret = sysdb_transaction_commit(domain->sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto fail;
     }
     in_transaction = false;
@@ -598,7 +598,7 @@ fail:
     if (in_transaction) {
         ret = sysdb_transaction_cancel(domain->sysdb);
         if (ret != EOK) {
-            DEBUG(0, ("Could not cancel transaction\n"));
+            DEBUG(0, "Could not cancel transaction\n");
         }
     }
     ipa_access_reply(hbac_ctx, PAM_SYSTEM_ERR);
@@ -617,43 +617,43 @@ void ipa_hbac_evaluate_rules(struct hbac_ctx *hbac_ctx)
     ret = hbac_get_cached_rules(hbac_ctx, be_ctx->domain,
                                 &hbac_ctx->rule_count, &hbac_ctx->rules);
     if (ret != EOK) {
-        DEBUG(1, ("Could not retrieve rules from the cache\n"));
+        DEBUG(1, "Could not retrieve rules from the cache\n");
         ipa_access_reply(hbac_ctx, PAM_SYSTEM_ERR);
     }
 
     ret = hbac_ctx_to_rules(hbac_ctx, hbac_ctx,
                             &hbac_rules, &eval_req);
     if (ret == EPERM) {
-        DEBUG(1, ("DENY rules detected. Denying access to all users\n"));
+        DEBUG(1, "DENY rules detected. Denying access to all users\n");
         ipa_access_reply(hbac_ctx, PAM_PERM_DENIED);
         return;
     } else if (ret != EOK) {
-        DEBUG(1, ("Could not construct HBAC rules\n"));
+        DEBUG(1, "Could not construct HBAC rules\n");
         ipa_access_reply(hbac_ctx, PAM_SYSTEM_ERR);
         return;
     }
 
     result = hbac_evaluate(hbac_rules, eval_req, &info);
     if (result == HBAC_EVAL_ALLOW) {
-        DEBUG(3, ("Access granted by HBAC rule [%s]\n",
-                  info->rule_name));
+        DEBUG(3, "Access granted by HBAC rule [%s]\n",
+                  info->rule_name);
         hbac_free_info(info);
         ipa_access_reply(hbac_ctx, PAM_SUCCESS);
         return;
     } else if (result == HBAC_EVAL_ERROR) {
-        DEBUG(1, ("Error [%s] occurred in rule [%s]\n",
+        DEBUG(1, "Error [%s] occurred in rule [%s]\n",
                   hbac_error_string(info->code),
-                  info->rule_name));
+                  info->rule_name);
         hbac_free_info(info);
         ipa_access_reply(hbac_ctx, PAM_SYSTEM_ERR);
         return;
     } else if (result == HBAC_EVAL_OOM) {
-        DEBUG(1, ("Insufficient memory\n"));
+        DEBUG(1, "Insufficient memory\n");
         ipa_access_reply(hbac_ctx, PAM_SYSTEM_ERR);
         return;
     }
 
-    DEBUG(3, ("Access denied by HBAC rules\n"));
+    DEBUG(3, "Access denied by HBAC rules\n");
     hbac_free_info(info);
     ipa_access_reply(hbac_ctx, PAM_PERM_DENIED);
 }
@@ -699,7 +699,7 @@ errno_t hbac_get_cached_rules(TALLOC_CTX *mem_ctx,
                               HBAC_RULES_SUBDIR, attrs,
                               &rule_count, &msgs);
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(1, ("Error looking up HBAC rules"));
+        DEBUG(1, "Error looking up HBAC rules");
         goto done;
     } if (ret == ENOENT) {
        rule_count = 0;
@@ -707,7 +707,7 @@ errno_t hbac_get_cached_rules(TALLOC_CTX *mem_ctx,
 
     ret = sysdb_msg2attrs(tmp_ctx, rule_count, msgs, &rules);
     if (ret != EOK) {
-        DEBUG(1, ("Could not convert ldb message to sysdb_attrs\n"));
+        DEBUG(1, "Could not convert ldb message to sysdb_attrs\n");
         goto done;
     }
 
diff --git a/src/providers/ipa/ipa_auth.c b/src/providers/ipa/ipa_auth.c
index 3db623f..2c892a4 100644
--- a/src/providers/ipa/ipa_auth.c
+++ b/src/providers/ipa/ipa_auth.c
@@ -55,14 +55,14 @@ static struct tevent_req *get_password_migration_flag_send(TALLOC_CTX *memctx,
     struct get_password_migration_flag_state *state;
 
     if (sdap_id_ctx == NULL || ipa_realm == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Missing parameter.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Missing parameter.\n");
         return NULL;
     }
 
     req = tevent_req_create(memctx, &state,
                             struct get_password_migration_flag_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("tevent_req_create failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "tevent_req_create failed.\n");
         return NULL;
     }
 
@@ -75,14 +75,14 @@ static struct tevent_req *get_password_migration_flag_send(TALLOC_CTX *memctx,
     state->sdap_op = sdap_id_op_create(state,
                                        state->sdap_id_ctx->conn->conn_cache);
     if (state->sdap_op == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_create failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_create failed.\n");
         goto fail;
     }
 
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (!subreq) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_connect_send failed: %d(%s).\n",
-                                  ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: %d(%s).\n",
+                                  ret, strerror(ret));
         goto fail;
     }
 
@@ -108,12 +108,12 @@ static void get_password_migration_flag_auth_done(struct tevent_req *subreq)
     if (ret) {
         if (dp_error == DP_ERR_OFFLINE) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("No IPA server is available, cannot get the "
-                   "migration flag while offline\n"));
+                  "No IPA server is available, cannot get the "
+                   "migration flag while offline\n");
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Failed to connect to IPA server: [%d](%s)\n",
-                   ret, strerror(ret)));
+                  "Failed to connect to IPA server: [%d](%s)\n",
+                   ret, strerror(ret));
         }
 
         tevent_req_error(req, ret);
@@ -195,7 +195,7 @@ void ipa_auth(struct be_req *be_req)
 
     state = talloc_zero(be_req, struct ipa_auth_state);
     if (state == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_zero failed.\n");
         goto fail;
     }
 
@@ -220,14 +220,14 @@ void ipa_auth(struct be_req *be_req)
                                     struct ipa_auth_ctx);
             break;
         default:
-            DEBUG(SSSDBG_OP_FAILURE, ("Unsupported PAM task.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Unsupported PAM task.\n");
             goto fail;
     }
 
     req = krb5_auth_send(state, state->ev, be_ctx, state->pd,
                          state->ipa_auth_ctx->krb5_auth_ctx);
     if (req == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("krb5_auth_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "krb5_auth_send failed.\n");
         goto fail;
     }
 
@@ -252,7 +252,7 @@ static void ipa_auth_handler_done(struct tevent_req *req)
     talloc_zfree(req);
     state->pd->pam_status = pam_status;
     if (ret != EOK && pam_status != PAM_CRED_ERR) {
-        DEBUG(SSSDBG_OP_FAILURE, ("krb5_auth_recv request failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "krb5_auth_recv request failed.\n");
         dp_err = DP_ERR_OK;
         goto done;
     }
@@ -271,7 +271,7 @@ static void ipa_auth_handler_done(struct tevent_req *req)
                                                IPA_KRB5_REALM));
         if (req == NULL) {
             DEBUG(SSSDBG_OP_FAILURE,
-                    ("get_password_migration_flag failed.\n"));
+                    "get_password_migration_flag failed.\n");
             goto done;
         }
 
@@ -294,8 +294,8 @@ static void ipa_get_migration_flag_done(struct tevent_req *req)
                                            &state->password_migration);
     talloc_zfree(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("get_password_migration_flag "
-                                  "request failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "get_password_migration_flag "
+                                  "request failed.\n");
         state->pd->pam_status = PAM_SYSTEM_ERR;
         dp_err = DP_ERR_OK;
         goto done;
@@ -308,7 +308,7 @@ static void ipa_get_migration_flag_done(struct tevent_req *req)
                                     state->ipa_auth_ctx->sdap_auth_ctx->service,
                                     true, CON_TLS_ON, true);
         if (req == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("sdap_cli_connect_send failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "sdap_cli_connect_send failed.\n");
             goto done;
         }
 
@@ -316,7 +316,7 @@ static void ipa_get_migration_flag_done(struct tevent_req *req)
         return;
     }
 
-    DEBUG(SSSDBG_CONF_SETTINGS, ("Password migration is not enabled.\n"));
+    DEBUG(SSSDBG_CONF_SETTINGS, "Password migration is not enabled.\n");
     dp_err = DP_ERR_OK;
 done:
     be_req_terminate(state->be_req, dp_err, state->pd->pam_status, NULL);
@@ -337,17 +337,17 @@ static void ipa_migration_flag_connect_done(struct tevent_req *req)
     talloc_zfree(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Cannot connect to LDAP server to perform migration\n"));
+              "Cannot connect to LDAP server to perform migration\n");
         goto done;
     }
 
     state->pd->pam_status = PAM_SYSTEM_ERR;
-    DEBUG(SSSDBG_TRACE_FUNC, ("Assuming Kerberos password is missing, "
-                              "starting password migration.\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Assuming Kerberos password is missing, "
+                              "starting password migration.\n");
 
     attrs = talloc_array(state, const char *, 2);
     if (attrs == NULL) {
-        DEBUG(1, ("talloc_array failed.\n"));
+        DEBUG(1, "talloc_array failed.\n");
         state->pd->pam_status = PAM_SYSTEM_ERR;
         dp_err = DP_ERR_OK;
         goto done;
@@ -359,14 +359,14 @@ static void ipa_migration_flag_connect_done(struct tevent_req *req)
                                     be_ctx->domain,
                                     state->pd->user, attrs, &user_msg);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_search_user_by_name failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_search_user_by_name failed.\n");
         goto done;
     }
 
     dn = ldb_msg_find_attr_as_string(user_msg, SYSDB_ORIG_DN, NULL);
     if (dn == NULL) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Missing original DN for user [%s].\n",
-                                     state->pd->user));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Missing original DN for user [%s].\n",
+                                     state->pd->user);
         state->pd->pam_status = PAM_SYSTEM_ERR;
         dp_err = DP_ERR_OK;
         goto done;
@@ -375,7 +375,7 @@ static void ipa_migration_flag_connect_done(struct tevent_req *req)
     req = sdap_auth_send(state, state->ev, state->sh, NULL, NULL, dn,
                          state->pd->authtok);
     if (req == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_auth_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_auth_send failed.\n");
         goto done;
     }
 
@@ -404,26 +404,26 @@ static void ipa_auth_ldap_done(struct tevent_req *req)
     case ERR_AUTH_FAILED:
     case ERR_PASSWORD_EXPIRED:
 /* TODO: do we need to handle expired passwords? */
-        DEBUG(SSSDBG_MINOR_FAILURE, ("LDAP authentication failed, "
-                                     "Password migration not possible.\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "LDAP authentication failed, "
+                                     "Password migration not possible.\n");
         state->pd->pam_status = PAM_CRED_INSUFFICIENT;
         dp_err = DP_ERR_OK;
         goto done;
     default:
-        DEBUG(SSSDBG_OP_FAILURE, ("auth_send request failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "auth_send request failed.\n");
         state->pd->pam_status = PAM_SYSTEM_ERR;
         dp_err = DP_ERR_OK;
         goto done;
     }
 
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("LDAP authentication succeded, "
-                              "trying Kerberos authentication again.\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "LDAP authentication succeded, "
+                              "trying Kerberos authentication again.\n");
 
     req = krb5_auth_send(state, state->ev, be_ctx, state->pd,
                          state->ipa_auth_ctx->krb5_auth_ctx);
     if (req == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("krb5_auth_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "krb5_auth_send failed.\n");
         goto done;
     }
 
@@ -445,7 +445,7 @@ static void ipa_auth_handler_retry_done(struct tevent_req *req)
     ret = krb5_auth_recv(req, &pam_status, &dp_err);
     talloc_zfree(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("krb5_auth_recv request failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "krb5_auth_recv request failed.\n");
         state->pd->pam_status = PAM_SYSTEM_ERR;
         dp_err = DP_ERR_OK;
         goto done;
diff --git a/src/providers/ipa/ipa_autofs.c b/src/providers/ipa/ipa_autofs.c
index de34321..504735d 100644
--- a/src/providers/ipa/ipa_autofs.c
+++ b/src/providers/ipa/ipa_autofs.c
@@ -44,7 +44,7 @@ int ipa_autofs_init(struct be_ctx *be_ctx,
 {
     int ret;
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Initializing autofs LDAP back end\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Initializing autofs LDAP back end\n");
 
     *ops = &ipa_autofs_ops;
     *pvt_data = id_ctx->sdap_id_ctx;
@@ -52,7 +52,7 @@ int ipa_autofs_init(struct be_ctx *be_ctx,
     ret = ipa_get_autofs_options(id_ctx->ipa_options, be_ctx->cdb,
                                  be_ctx->conf_path, &id_ctx->sdap_id_ctx->opts);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot get IPA autofs options\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Cannot get IPA autofs options\n");
         return ret;
     }
 
